# Documentation

Menu

## QRCodeReaderImagickTest extends QRCodeReaderTestAbstract
in package

QRCodeReaderImagickTest.php : 19

Tests the Imagick based reader

### Table of Contents

loremipsum = 'Just let this happen. We just let this flow right out of our minds. ' . 'Anyone can paint. We touch the canvas, the canvas takes what it wants. From all of us here, ' . 'I want to wish you happy painting and God bless, my friends. A tree cannot be straight if it has a crooked trunk. ' . 'You have to make almighty decisions when you\'re the creator. I guess that would be considered a UFO. ' . 'A big cotton ball in the sky. I\'m gonna add just a tiny little amount of Prussian Blue. ' . 'They say everything looks better with odd numbers of things. But sometimes I put even numbers—just ' . 'to upset the critics. We\'ll lay all these little funky little things in there. '
$FQN : string
$options : SettingsContainerInterface
dataTestProvider() : Generator
qrCodeProvider() : array<string|int, mixed>
testReadData() : void
testReader() : void
testReaderMultiSegment() : void
setUp() : void

### Constants

#### loremipsum

QRCodeReaderTestAbstract.php : 28
`protected mixed loremipsum = 'Just let this happen. We just let this flow right out of our minds. ' . 'Anyone can paint. We touch the canvas, the canvas takes what it wants. From all of us here, ' . 'I want to wish you happy painting and God bless, my friends. A tree cannot be straight if it has a crooked trunk. ' . 'You have to make almighty decisions when you\'re the creator. I guess that would be considered a UFO. ' . 'A big cotton ball in the sky. I\'m gonna add just a tiny little amount of Prussian Blue. ' . 'They say everything looks better with odd numbers of things. But sometimes I put even numbers—just ' . 'to upset the critics. We\'ll lay all these little funky little things in there. '`

### Properties

#### $FQN

QRCodeReaderImagickTest.php : 21
`protected string $FQN = \chillerlan\QRCode\Decoder\IMagickLuminanceSource::class`

#### $options

QRCodeReaderTestAbstract.php : 36
`protected SettingsContainerInterface $options`

### Methods

#### dataTestProvider()

QRCodeReaderTestAbstract.php : 105
`public dataTestProvider() : Generator`

##### Return values

Generator —

#### qrCodeProvider()

QRCodeReaderTestAbstract.php : 44
`public qrCodeProvider() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### testReadData()

QRCodeReaderTestAbstract.php : 124
`public testReadData(Version $version, EccLevel $ecc, string $expected) : void`

##### Parameters

$version : Version
$ecc : EccLevel
$expected : string

##### Tags

dataProvider

  dataTestProvider

##### Return values

void —

#### testReader()

QRCodeReaderTestAbstract.php : 72
`public testReader(string $img, string $expected, bool $grayscale) : void`

##### Parameters

$img : string
$expected : string
$grayscale : bool

##### Tags

dataProvider

  qrCodeProvider

##### Return values

void —

#### testReaderMultiSegment()

QRCodeReaderTestAbstract.php : 84
`public testReaderMultiSegment() : void`

##### Return values

void —

#### setUp()

QRCodeReaderImagickTest.php : 24
`protected setUp() : void`

##### Return values

void —

## Search results